
QGIS Application - Feature request #8771

Export print layouts in geospatial pdf format

2013-10-04 02:03 PM - John Tull

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied:No Resolution: duplicate

Easy fix?: No Copied to github as #: 17477

Description

The geospatial pdf format in gdal allows dynamic pdf's to be generated that allow layers to be turned on or off in the pdf. This would be an

excellent bit of functionality for QGIS to gain, ideally via the composer. Imagine a map bring produced with a legend that has layers that

can be turned on and off directly in a pdf viewer.

http://www.gdal.org/frmt_pdf.html

Related issues:

Duplicated by QGIS Application - Feature request # 9362: Export PDF layers fr... Open 2014-01-17

History

#1 - 2014-01-17 01:55 AM - Jürgen Fischer

- Subject changed from Dynamic composer maps via geopdf to Dynamic composer maps via geospatial pdf

#2 - 2014-12-29 09:13 AM - Giovanni Manghi

- Subject changed from Dynamic composer maps via geospatial pdf to Export print layouts in geospatial pdf format

#3 - 2014-12-29 09:14 AM - Giovanni Manghi

see also #11922

#4 - 2015-04-20 12:38 AM - drew Perkins

Even more important to me than layer toggle options would be having spatial reference data included in the PDF so it can be used with Avenza PDFmaps

app or other geospatial pdf readers.

#5 - 2015-04-24 04:28 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to duplicate

see also #9362

#6 - 2015-06-19 08:40 PM - James Wilson

If you want to make a Georeferenced PDF for Avenza:

Set up your print composer, and export it as a georeferenced image

(https://docs.qgis.org/2.6/en/docs/user_manual/print_composer/print_composer.html#creating-output)
Bring this back into your project as use Raster > Conversion > Translate

to export it as a georeferenced PDF
